import React, { forwardRef } from 'react';

import { Wrapper } from './styled';

type Props = {
  onMouseDown: () => void;
  onKeyDown: (e: React.KeyboardEvent) => void;
  children: React.ReactNode;
};

type Ref = HTMLDivElement;

const index = forwardRef<Ref, Props>(({ children, ...rest }: Props, ref) => (
  <Wrapper ref={ref} tabIndex={0} role="form" {...rest}>
    {children}
  </Wrapper>
));

export default index;
