import React from 'react';

import { Zone } from './styled';

type Props = {
  appearance: ToolType | FormType | '';
  x: number;
  y: number;
};

const Cursor: React.FC<Props> = ({ appearance, x, y }: Props) => {
  return (
    <Zone
      style={{ top: `${y + 5}px`, left: `${x + 5}px` }}
      appearance={appearance}
    >
      <p>Click to insert</p>
    </Zone>
  );
};

export default Cursor;
