import styled from 'styled-components';

export const Container = styled.div`
  position: relative;
  cursor: pointer;
  font-size: 1rem;
  min-width: 74px;
  display: inline-block;
`;

export const Selected = styled.div`
  box-sizing: border-box;
  display: inline-flex;
  align-items: center;
  background-color: ${({ theme }) => theme.colors.gray};
  height: 32px;
  border-radius: 4px;
  padding: 0 6px 0 10px;
  transition: background-color 200ms cubic-bezier(0, 0, 0.2, 1) 0ms;
  outline: none;
  width: 100%;
`;

export const InputContent = styled.input`
  background-color: ${({ theme }) => theme.colors.gray};
  border: none;
  outline: none;
  width: 50%;
`;

export const Content = styled.div`
  background-color: ${({ theme }) => theme.colors.gray};
  border: none;
  outline: none;
  width: 100%;
  display: flex;
  align-items: center;
  margin-right: 6px;
`;

export const OptionWrapper = styled.div`
  position: fixed;
  background-color: white;
  border-radius: 4px;
  top: 0;
  left: 0;
  padding: 6px 0;
  box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.38);
  max-height: 420px;
  z-index: 100;
  box-sizing: border-box;
`;

export const Option = styled.span`
  display: flex;
  padding: 5px 24px 5px 16px;

  :hover {
    background-color: ${({ theme }) => theme.colors['soft-blue']};
  }
`;
