import styled, { css } from 'styled-components';

export const Wrapper = styled.div`
  width: 100%;
`;

export const BtnGroup = styled.div`
  background-color: white;
  border-radius: 4px;
  overflow: hidden;
  display: flex;
  justify-content: space-around;
`;

export const Btn = styled('button')<{ isActive?: boolean }>`
  height: 30px;
  width: 100%;
  outline: none;
  background-color: white;
  border: none;
  cursor: pointer;
  color: ${({ theme }) => theme.colors.primary};
  font-size: 1.2rem;
  font-weight: bold;
  box-sizing: border-box;

  ${(props) =>
    props.isActive
      ? css`
          background-color: ${({ theme }) => theme.colors.primary};
          color: white;
        `
      : null}
`;
