import styled from 'styled-components';

const style: Record<string, string> = {
  textfield: '',
  checkbox: `
    border-radius: 8px;
    :after {
      content: '';
      background-image: url('/icons/check-mark.svg');
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;
      width: 32px;
      height: 32px;
      opacity: 0.25;
    }
  `,
  radio: `
    border-radius: 100%;

    :after {
      content: '';
      background-color: black;
      border-radius: 50%;
      width: 50%;
      height: 50%;
      opacity: 0.25;
    }
  `,
};

export const TextBox = styled.div<{ type: string }>`
  width: 100%;
  height: 100%;
  background-color: rgba(51, 190, 219, 0.3);
  font-size: 1.4rem;
  color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;

  ${(props) => style[props.type]}
`;

export default TextBox;
