import styled, { css } from 'styled-components';

export const Wrapper = styled('div')<{ width?: string }>`
  margin-bottom: 10px;
  display: inline-block;
  height: auto;
  vertical-align: bottom;
  width: ${(props) => props.width || '100%'};
`;

export const Group = styled.div`
  display: flex;
  justify-content: space-around;
  align-items: center;
`;

export const Item = styled('div')<{ size?: string; selected?: boolean }>`
  width: ${(props) => (props.size === 'small' ? '30px' : '40px')};
  height: ${(props) => (props.size === 'small' ? '30px' : '40px')};
  border-radius: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;

  ${(props) =>
    props.selected
      ? css`
          background-color: ${({ theme }) => theme.colors['light-primary']};
        `
      : ''}
  :hover {
    background-color: ${({ theme }) => theme.colors['light-primary']};
  }
`;

export const Circle = styled('div')<{ color: string }>`
  width: 16px;
  height: 16px;
  border-radius: 8px;
  background-color: ${(props) => props.color};
`;

export const SliderWrapper = styled.div`
  padding: 5px 0;
  width: 178px;
  border-radius: 4px;
  border: solid 1px rgba(0, 0, 0, 0.12);
`;

export const BtnWrapper = styled.div`
  padding: 8px;
`;

export const PickerContainer = styled.div`
  position: fixed;
  z-index: 20;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  justify-content: center;
  align-items: center;
`;

export const Blanket = styled.div`
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
`;
